package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.KeyTemplateDTO;

/**
 * @author liulu
 * @since 2024/10/22
 */
public interface KeyTemplateService {

    Page<KeyTemplateDTO.KTView> selectPageList(KeyTemplateDTO.Query query);

    Long save(KeyTemplateDTO.KTSave save);

    void update(KeyTemplateDTO.KTSave update);

    void delete(Long id);
}
